package com.vaartatechnologies.all_in_one_basic.includes;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.widget.Toast;

import java.security.SecureRandom;
import java.util.Random;

public class SmallFunctions {

    public static void shareAction(Activity activity, String message){
        Intent sendIntent = new Intent();
        sendIntent.setAction(Intent.ACTION_SEND);
        sendIntent.putExtra(Intent.EXTRA_TEXT, message);
        sendIntent.setType("text/plain");

        Intent shareIntent = Intent.createChooser(sendIntent, "Share This App via");
        activity.startActivity(shareIntent);
    }

    public static void createToast(Context context, String message, String duration){
        if(duration.equals("Short")){
            Toast.makeText(context, (String) message, Toast.LENGTH_SHORT).show();
        } else if(duration.equals("Long")){
            Toast.makeText(context, (String) message, Toast.LENGTH_LONG).show();
        }
    }

    public static boolean returnInternet(Context context){
        ConnectivityManager cm = (ConnectivityManager)context.getSystemService(Context.CONNECTIVITY_SERVICE);
        NetworkInfo activeNetwork = cm.getActiveNetworkInfo();
        return activeNetwork != null && activeNetwork.isConnectedOrConnecting();
    }

    public static String returnInternetType(Context context){
        ConnectivityManager cm = (ConnectivityManager)context.getSystemService(Context.CONNECTIVITY_SERVICE);
        NetworkInfo activeNetwork = cm.getActiveNetworkInfo();
        boolean isConnected = activeNetwork != null && activeNetwork.isConnectedOrConnecting();
        if(isConnected){
            boolean isWiFi = activeNetwork.getType() == ConnectivityManager.TYPE_WIFI;
            boolean isMobile = activeNetwork.getType() == ConnectivityManager.TYPE_MOBILE;
            if(isWiFi){ return "WiFi"; } else if(isMobile){ return "Mobile"; }
        }
        return "None";
    }

    public static String getRandomNumbers(int min, int max){
        final int random = new Random().nextInt((max - min) + 1) + min;
        return String.valueOf(random);
    }

    public static String getRandomAlphaNumeric(int length){
        StringBuilder randomAlphaNumericChars = new StringBuilder(length);
        SecureRandom randomNumber = new SecureRandom();
        String codeChars = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";
        for(int i = 0; i < length; i++ )
            randomAlphaNumericChars.append( codeChars.charAt( randomNumber.nextInt(codeChars.length())));
        return randomAlphaNumericChars.toString();
    }
}