import 'dart:async';

import 'package:flutter/services.dart';

class AllInOneBasic {
  static const MethodChannel _channel = MethodChannel('all_in_one_basic');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<void> share(String message) async {
    await _channel.invokeMethod('share', {'message':message});
  }
  
  static Future<void> showToast(String message, String duration) async {
    await _channel.invokeMethod('showToast', {'message':message, 'duration':duration});
  }

  static Future<bool> internet() async {
    return await _channel.invokeMethod('internet');
  }

  static Future<bool> internetType() async {
    return await _channel.invokeMethod('internetStream');
  }

  static Future<int> randomNumbers(int min, int max) async {
    return await _channel.invokeMethod('randomNumbers', {'min':min, 'max':max});
  }

  static Future<int> randomAlphaNumeric(int digits) async {
    return await _channel.invokeMethod('randomAlphaNumeric', {'digits':digits});
  }
}